Index: Makefile
===================================================================
RCS file: /usr/cvsroot/asterisk/Makefile,v
retrieving revision 1.31
diff -u -r1.31 Makefile
--- Makefile	27 Sep 2003 00:32:01 -0000	1.31
+++ Makefile	27 Sep 2003 00:51:08 -0000
@@ -155,7 +155,7 @@
 editline/config.h:
 	cd editline && unset CFLAGS LIBS && ./configure ; \
 
-editline/libedit.a: editline/config.h
+editline/libedit.a:
 	$(MAKE) -C editline libedit.a
 
 db1-ast/libdb1.a: 
@@ -194,16 +194,16 @@
 	./make_build_h
 endif
 
-stdtime/localtime.o:
+stdtime/libtime.a:
 	@if [ -d stdtime ]; then \
-		$(MAKE) -C stdtime; \
+		$(MAKE) -C stdtime libtime.a ; \
 	else \
 		echo "You need to do a cvs update -d not just cvs update"; \
 		exit 1; \
 	fi
 
-asterisk: editline/libedit.a db1-ast/libdb1.a stdtime/localtime.o $(OBJS)
-	$(CC) $(DEBUG) -o asterisk -Wl,-E $(OBJS) $(LIBS) $(LIBEDIT) db1-ast/libdb1.a stdtime/localtime.o
+asterisk: editline/libedit.a db1-ast/libdb1.a stdtime/libtime.a $(OBJS)
+	$(CC) $(DEBUG) -o asterisk -Wl,-E $(OBJS) $(LIBS) $(LIBEDIT) db1-ast/libdb1.a stdtime/libtime.a
 
 subdirs: 
 	for x in $(SUBDIRS); do $(MAKE) -C $$x || exit 1 ; done
@@ -412,6 +412,6 @@
 depend: .depend
 	for x in $(SUBDIRS); do $(MAKE) -C $$x depend || exit 1 ; done
 
-.depend: build.h
+.depend:
 	./mkdep ${CFLAGS} `ls *.c`
 
Index: stdtime/Makefile
===================================================================
RCS file: /usr/cvsroot/asterisk/stdtime/Makefile,v
retrieving revision 1.1
diff -u -r1.1 Makefile
--- stdtime/Makefile	13 Sep 2003 20:51:48 -0000	1.1
+++ stdtime/Makefile	27 Sep 2003 00:51:08 -0000
@@ -1,19 +1,26 @@
-
 CC=gcc
 #CFLAGS=-Wall
 INCLUDE=-I../include
 
-all: localtime.o
+OBJS=localtime.o
 
-clean::
-	rm -f localtime.o test
+all: libtime.a
 
-depend::
-	@echo "Nothing to do for depend"
+libtime.a: $(OBJS)
+	ar rv $@ $(OBJS)
+	ranlib $@
 
-test: test.c
-	${CC} ${CFLAGS} -o test test.c
+clean:
+	rm -f libtime.a *.o test
 
-localtime.o: localtime.c
+depend: .depend
 
+.depend:
+	../mkdep $(CFLAGS) *.c
+
+test: test.c
+	${CC} ${CFLAGS} -o test test.c
 
+ifneq ($(wildcard .depend),)
+include .depend
+endif
